diff --git a/web/pgadmin/tools/sqleditor/tests/test_explain_plan_templates.py b/web/pgadmin/tools/sqleditor/tests/test_explain_plan_templates.py
index c2bbcdd2..861a2ded 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_explain_plan_templates.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_explain_plan_templates.py
@@ -10,144 +10,121 @@
 import os
 
 from flask import Flask, render_template
+from grappa import should
 from jinja2 import FileSystemLoader
 
-from pgadmin import VersionedTemplateLoader
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class TestExplainPlanTemplates(BaseTestGenerator):
-    scenarios = [
-        (
-            'When rendering Postgres 9.0 template, '
-            'when passing all parameters,'
-            'it returns the explain plan with all parameters',
-            dict(
-                template_path='sqleditor/sql/default/explain_plan.sql',
-                input_parameters=dict(
-                    sql='SELECT * FROM places',
-                    format='xml',
-                    analyze=True,
-                    verbose=True,
-                    costs=False,
-                    buffers=True
-                ),
-                sql_statement='SELECT * FROM places',
-                expected_return_value='EXPLAIN '
-                                      '(FORMAT XML,ANALYZE True,'
-                                      'VERBOSE True,COSTS False,'
-                                      'BUFFERS True) SELECT * FROM places'
-            )
-        ),
-        (
-            'When rendering Postgres 9.0 template, '
-            'when not all parameters are present,'
-            'it returns the explain plan with the present parameters',
-            dict(
-                template_path='sqleditor/sql/default/explain_plan.sql',
-                input_parameters=dict(
-                    sql='SELECT * FROM places',
-                    format='json',
-                    buffers=True
-                ),
-                sql_statement='SELECT * FROM places',
-                expected_return_value='EXPLAIN '
-                                      '(FORMAT JSON,BUFFERS True) '
-                                      'SELECT * FROM places'
-            )
-        ),
-        (
-            'When rendering Postgres 9.2 template, '
-            'when timing is present,'
-            'it returns the explain plan with timing',
-            dict(
-                template_path='sqleditor/sql/9.2_plus/explain_plan.sql',
-                input_parameters=dict(
-                    sql='SELECT * FROM places',
-                    format='json',
-                    buffers=True,
-                    timing=False
-                ),
-                sql_statement='SELECT * FROM places',
-                expected_return_value='EXPLAIN '
-                                      '(FORMAT JSON,TIMING False,'
-                                      'BUFFERS True) SELECT * FROM places'
-            )
-        ),
-        (
-            'When rendering Postgres 10 template, '
-            'when summary is present,'
-            'it returns the explain plan with summary',
-            dict(
-                template_path='sqleditor/sql/10_plus/explain_plan.sql',
-                input_parameters=dict(
-                    sql='SELECT * FROM places',
-                    format='yaml',
-                    buffers=True,
-                    timing=False,
-                    summary=True
-                ),
-                sql_statement='SELECT * FROM places',
-                expected_return_value='EXPLAIN '
-                                      '(FORMAT YAML,TIMING False,'
-                                      'SUMMARY True,BUFFERS True) '
-                                      'SELECT * FROM places'
-            )
-        ),
-        (
-            'When rendering GreenPlum 5.3 template, '
-            'when all parameters are present,'
-            'it returns the explain without parameters',
-            dict(
-                template_path='sqleditor/sql/gpdb_5.0_plus/explain_plan.sql',
-                input_parameters=dict(
-                    sql='SELECT * FROM places',
-                    format='json',
-                    buffers=True
-                ),
-                sql_statement='SELECT * FROM places',
-                expected_return_value='EXPLAIN SELECT * FROM places'
-            )
-        ),
-        (
-            'When rendering GreenPlum 5.3 template, '
-            'when analyze is true,'
-            'it returns the explain analyze',
-            dict(
-                template_path='sqleditor/sql/gpdb_5.0_plus/explain_plan.sql',
-                input_parameters=dict(
-                    sql='SELECT * FROM places',
-                    analyze=True
-                ),
-                sql_statement='SELECT * FROM places',
-                expected_return_value='EXPLAIN ANALYZE SELECT * FROM places'
-            )
-        ),
-        (
-            'When rendering GreenPlum 5.3 template, '
-            'when analyze is false,'
-            'it returns the only explain',
-            dict(
-                template_path='sqleditor/sql/gpdb_5.0_plus/explain_plan.sql',
-                input_parameters=dict(
-                    sql='SELECT * FROM places',
-                    analyze=False
-                ),
-                sql_statement='SELECT * FROM places',
-                expected_return_value='EXPLAIN SELECT * FROM places'
-            )
-        ),
-    ]
-
-    def setUp(self):
-        self.loader = VersionedTemplateLoader(FakeApp())
-
-    def runTest(self):
+
+class TestExplainPlanTemplates:
+    def test_all_parameters_on_pg_9_0(self):
+        """
+        When rendering Postgres 9.0 template
+        when passing all parameters
+        it returns the explain plan with all parameters
+        """
         with FakeApp().app_context():
-            result = render_template(self.template_path,
-                                     **self.input_parameters)
-            self.assertEqual(
-                str(result).replace("\n", ""), self.expected_return_value)
+            result = render_template(
+                'sqleditor/sql/default/explain_plan.sql',
+                sql='SELECT * FROM places',
+                format='xml',
+                analyze=True,
+                verbose=True,
+                costs=False,
+                buffers=True)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'EXPLAIN '
+                '(FORMAT XML,ANALYZE True,'
+                'VERBOSE True,COSTS False,'
+                'BUFFERS True) SELECT * FROM places')
+
+    def test_not_all_parameters_on_pg_9_0(self):
+        """
+        When rendering Postgres 9.0 template
+        When not all parameters are present
+        It returns the explain plan with the present parameters
+        """
+        with FakeApp().app_context():
+            result = render_template(
+                'sqleditor/sql/default/explain_plan.sql',
+                sql='SELECT * FROM places',
+                format='json',
+                buffers=True)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'EXPLAIN '
+                '(FORMAT JSON,BUFFERS True) '
+                'SELECT * FROM places')
+
+    def test_timing_present_on_pg_9_2(self):
+        """
+        When rendering Postgres 9.2 template
+        When timing is present
+        It returns the explain plan with timing
+        """
+        with FakeApp().app_context():
+            result = render_template(
+                'sqleditor/sql/9.2_plus/explain_plan.sql',
+                sql='SELECT * FROM places',
+                format='json',
+                buffers=True,
+                timing=False)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'EXPLAIN '
+                '(FORMAT JSON,TIMING False,'
+                'BUFFERS True) SELECT * FROM places')
+
+    def test_summary_present_on_pg_10(self):
+        """
+        When rendering Postgres 9.2 template
+        When timing is present
+        It returns the explain plan with summary
+        """
+        with FakeApp().app_context():
+            result = render_template(
+                'sqleditor/sql/10_plus/explain_plan.sql',
+                sql='SELECT * FROM places',
+                format='yaml',
+                buffers=True,
+                timing=False,
+                summary=True)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'EXPLAIN '
+                '(FORMAT YAML,TIMING False,'
+                'SUMMARY True,BUFFERS True) '
+                'SELECT * FROM places')
+
+    def test_all_parameters_present_on_gpdb_5_3(self):
+        """
+        When rendering GreenPlum 5.3 template
+        When all parameters are present
+        It returns the explain without parameters
+        """
+        with FakeApp().app_context():
+            result = render_template(
+                'sqleditor/sql/gpdb_5.0_plus/explain_plan.sql',
+                sql='SELECT * FROM places',
+                format='json',
+                buffers=True)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'EXPLAIN SELECT * FROM places')
+
+    def test_analyze_on_gpdb_5_3(self):
+        """
+        When rendering GreenPlum 5.3 template
+        When analyze is true
+        It returns the explain analyze
+        """
+        with FakeApp().app_context():
+            result = render_template(
+                'sqleditor/sql/gpdb_5.0_plus/explain_plan.sql',
+                sql='SELECT * FROM places',
+                analyze=True)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'EXPLAIN ANALYZE SELECT * FROM places')
 
 
 class FakeApp(Flask):
diff --git a/web/pgadmin/tools/sqleditor/tests/test_extract_sql_from_network_parameters.py b/web/pgadmin/tools/sqleditor/tests/test_extract_sql_from_network_parameters.py
index beca1657..9bfb288f 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_extract_sql_from_network_parameters.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_extract_sql_from_network_parameters.py
@@ -6,57 +6,51 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
+from grappa import should
 from werkzeug.datastructures import ImmutableMultiDict
 
 from pgadmin.tools.sqleditor import extract_sql_from_network_parameters
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class ExtractSQLFromNetworkParametersTest(BaseTestGenerator):
-    """
-    This class validates the change password functionality
-    by defining change password scenarios; where dict of
-    parameters describes the scenario appended by test name.
-    """
-
-    scenarios = [
-        ('Single string in the payload', dict(
-            request_strigified_data='"some sql"',
-            request_arguments=ImmutableMultiDict(),
-            request_form_data=ImmutableMultiDict(),
-
-            expected_result=dict(sql='some sql', explain_plan=None)
-        )),
-        ('Payload that requests explain plan using json', dict(
-            request_strigified_data='{"sql": "some sql", "explain_plan": '
-                                    '{"format": "json", "analyze": false, '
-                                    '"verbose": false, "costs": false, '
-                                    '"buffers": false, "timing": false}}',
-            request_arguments=ImmutableMultiDict(),
-            request_form_data=ImmutableMultiDict(),
-
-            expected_result=dict(
-                sql='some sql',
-                explain_plan=dict(
-                    format='json',
-                    analyze=False,
-                    verbose=False,
-                    buffers=False,
-                    costs=False,
-                    timing=False
-                )
-            )
-        ))
-    ]
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 
-    def runTest(self):
-        """Check correct function is called to handle to run query."""
+
+class TestExtractSQLFromNetworkParameters(BaseTestGenerator):
+    def test_single_string_payload(self):
+        """
+        When the request payload is a string
+        It returns the sql information but no explain plan
+        """
 
         result = extract_sql_from_network_parameters(
-            self.request_strigified_data,
-            self.request_arguments,
-            self.request_form_data
+            '"some sql"',
+            ImmutableMultiDict(),
+            ImmutableMultiDict()
         )
 
-        self.assertEquals(result, self.expected_result)
+        result | should.be.equal(dict(sql='some sql', explain_plan=None))
+
+    def test_json_payload(self):
+        """
+        When the request payload is a json
+        It returns the sql information and explain plan options
+        """
+
+        result = extract_sql_from_network_parameters(
+            '{"sql": "some sql", "explain_plan": '
+            '{"format": "json", "analyze": false, '
+            '"verbose": false, "costs": false, '
+            '"buffers": false, "timing": false}}',
+            ImmutableMultiDict(),
+            ImmutableMultiDict()
+        )
+
+        result | should.be.equal(dict(
+            sql='some sql',
+            explain_plan=dict(
+                format='json',
+                analyze=False,
+                verbose=False,
+                buffers=False,
+                costs=False,
+                timing=False
+            )
+        ))
diff --git a/web/pgadmin/tools/sqleditor/tests/test_poll_query_tool.py b/web/pgadmin/tools/sqleditor/tests/test_poll_query_tool.py
index e0a8d388..cfeb32f1 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_poll_query_tool.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_poll_query_tool.py
@@ -9,20 +9,44 @@
 
 import json
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class TestPollQueryTool(BaseTestGenerator):
-    """ This class will test the query tool polling. """
-    scenarios = [
-        ('When query tool polling returns messages with result data-set',
-         dict(
-             sql=[
-                 """
+class TestPollQueryTool:
+    def test_poll_and_have_2_notices(self, context_of_tests):
+        """
+        When query tool poll to check on the query with 2 notices
+        It returns messages saying polling is checking
+        """
+        database_info = context_of_tests["server_information"]
+        server_id = database_info["server_id"]
+        db_id = database_info["db_id"]
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+
+        db_con = database_utils.client_connect_database(
+            http_client,
+            utils.SERVER_GROUP,
+            server_id,
+            db_id,
+            server['db_password'])
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to the database.")
+
+        url = '/datagrid/initialize/query_tool/{0}/{1}/{2}'.format(
+            utils.SERVER_GROUP, server_id, db_id)
+        response = http_client.post(url)
+        response.status_code | should.be.equal(200)
+
+        response_data = json.loads(response.data.decode('utf-8'))
+        trans_id = response_data['data']['gridTransId']
+
+        sql = """
 DROP TABLE IF EXISTS test_for_notices;
 
 DO $$
@@ -31,8 +55,64 @@ BEGIN
 END $$;
 
 SELECT 'CHECKING POLLING';
-""",
-                 """
+"""
+        expected_message = """NOTICE:  table "test_for_notices" does not exist, skipping
+NOTICE:  Hello, world!
+"""
+        expected_result = 'CHECKING POLLING'
+
+        url = '/sqleditor/query_tool/start/{0}'.format(trans_id)
+        response = http_client.post(url, data=json.dumps({"sql": sql}),
+                                    content_type='html/json')
+
+        response.status_code | should.be.equal(200)
+
+        url = '/sqleditor/poll/{0}'.format(trans_id)
+        response = http_client.get(url)
+        response.status_code | should.be.equal(200)
+
+        response_data = json.loads(response.data.decode('utf-8'))
+
+        response_data['data']['additional_messages'] | should.be.equal(
+            expected_message
+        )
+
+        expected_result | should.be.equal(
+            response_data['data']['result'][0][0])
+
+        database_utils.client_disconnect_database(http_client, server_id,
+                                                  db_id)
+
+    def test_poll_and_have_1000_notices(self, context_of_tests):
+        """
+        When query tool poll to check on the query with 1000 notices
+        It returns messages saying polling is checking for long messages
+        """
+        database_info = context_of_tests["server_information"]
+        server_id = database_info["server_id"]
+        db_id = database_info["db_id"]
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+
+        db_con = database_utils.client_connect_database(
+            http_client,
+            utils.SERVER_GROUP,
+            server_id,
+            db_id,
+            server['db_password'])
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to the database.")
+
+        url = '/datagrid/initialize/query_tool/{0}/{1}/{2}'.format(
+            utils.SERVER_GROUP, server_id, db_id)
+        response = http_client.post(url)
+        response.status_code | should.be.equal(200)
+
+        response_data = json.loads(response.data.decode('utf-8'))
+        trans_id = response_data['data']['gridTransId']
+
+        sql = """
 DO $$
 BEGIN
     FOR i in 1..1000 LOOP
@@ -41,74 +121,81 @@ BEGIN
 END $$;
 
 SELECT 'CHECKING POLLING FOR LONG MESSAGES';
-""",
-                 "SELECT 'CHECKING POLLING WITHOUT MESSAGES';"
-             ],
-             expected_message=['NOTICE:  table "test_for_notices" ' +
-                               """does not exist, skipping
-NOTICE:  Hello, world!
-""",
-                               "\n".join(["NOTICE:  Count is {0}".format(i)
-                                          for i in range(1, 1001)]) + "\n",
-                               None],
-             expected_result=['CHECKING POLLING',
-                              'CHECKING POLLING FOR LONG MESSAGES',
-                              'CHECKING POLLING WITHOUT MESSAGES'],
-             print_messages=['2 NOTICES WITH DATASET',
-                             '1000 NOTICES WITH DATASET',
-                             'NO NOTICE WITH DATASET'
-                             ]
-         ))
-    ]
-
-    def runTest(self):
-        """ This function will check messages return by query tool polling. """
-        database_info = parent_node_dict["database"][-1]
-        self.server_id = database_info["server_id"]
-
-        self.db_id = database_info["db_id"]
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
+"""
+        expected_message = "\n".join(["NOTICE:  Count is {0}".format(i)
+                                      for i in range(1, 1001)]) + "\n"
+        expected_result = 'CHECKING POLLING FOR LONG MESSAGES'
+
+        url = '/sqleditor/query_tool/start/{0}'.format(trans_id)
+        response = http_client.post(url, data=json.dumps({"sql": sql}),
+                                    content_type='html/json')
+
+        response.status_code | should.be.equal(200)
+
+        url = '/sqleditor/poll/{0}'.format(trans_id)
+        response = http_client.get(url)
+        response.status_code | should.be.equal(200)
+
+        response_data = json.loads(response.data.decode('utf-8'))
+
+        response_data['data']['additional_messages'] | should.be.equal(
+            expected_message
+        )
+
+        expected_result | should.be.equal(
+            response_data['data']['result'][0][0])
+
+        database_utils.client_disconnect_database(http_client, server_id,
+                                                  db_id)
+
+    def test_poll_and_have_no_notices(self, context_of_tests):
+        """
+        When query tool poll to check on the query with no notices
+        It returns messages saying polling is checking without messages
+        """
+        database_info = context_of_tests["server_information"]
+        server_id = database_info["server_id"]
+        db_id = database_info["db_id"]
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+
+        db_con = database_utils.client_connect_database(
+            http_client,
+            utils.SERVER_GROUP,
+            server_id,
+            db_id,
+            server['db_password'])
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to the database.")
 
-        # Initialize query tool
         url = '/datagrid/initialize/query_tool/{0}/{1}/{2}'.format(
-            utils.SERVER_GROUP, self.server_id, self.db_id)
-        response = self.tester.post(url)
-        self.assertEquals(response.status_code, 200)
+            utils.SERVER_GROUP, server_id, db_id)
+        response = http_client.post(url)
+        response.status_code | should.be.equal(200)
 
         response_data = json.loads(response.data.decode('utf-8'))
-        self.trans_id = response_data['data']['gridTransId']
+        trans_id = response_data['data']['gridTransId']
+
+        sql = "SELECT 'CHECKING POLLING WITHOUT MESSAGES';"
+        expected_result = 'CHECKING POLLING WITHOUT MESSAGES'
 
-        cnt = 0
-        for s in self.sql:
-            print("Executing and polling with: " + self.print_messages[cnt])
-            # Start query tool transaction
-            url = '/sqleditor/query_tool/start/{0}'.format(self.trans_id)
-            response = self.tester.post(url, data=json.dumps({"sql": s}),
-                                        content_type='html/json')
+        url = '/sqleditor/query_tool/start/{0}'.format(trans_id)
+        response = http_client.post(url, data=json.dumps({"sql": sql}),
+                                    content_type='html/json')
 
-            self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal(200)
 
-            # Query tool polling
-            url = '/sqleditor/poll/{0}'.format(self.trans_id)
-            response = self.tester.get(url)
-            self.assertEquals(response.status_code, 200)
-            response_data = json.loads(response.data.decode('utf-8'))
+        url = '/sqleditor/poll/{0}'.format(trans_id)
+        response = http_client.get(url)
+        response.status_code | should.be.equal(200)
 
-            if self.expected_message[cnt] is not None:
-                # Check the returned messages
-                self.assertIn(self.expected_message[cnt],
-                              response_data['data']['additional_messages'])
+        response_data = json.loads(response.data.decode('utf-8'))
 
-            # Check the output
-            self.assertEquals(self.expected_result[cnt],
-                              response_data['data']['result'][0][0])
+        response_data['data']['additional_messages'] | should.be.none
 
-            cnt += 1
+        expected_result | should.be.equal(
+            response_data['data']['result'][0][0])
 
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(http_client, server_id,
+                                                  db_id)
diff --git a/web/pgadmin/tools/sqleditor/tests/test_pref_utilities.py b/web/pgadmin/tools/sqleditor/tests/test_pref_utilities.py
index cbd141b0..ea03b46e 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_pref_utilities.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_pref_utilities.py
@@ -6,19 +6,20 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-from pgadmin.utils.route import BaseTestGenerator
+from grappa import should
+
 from pgadmin.tools.sqleditor.utils.query_tool_preferences import \
     get_text_representation_of_shortcut
 
 
-class TestQueryToolPreference(BaseTestGenerator):
-    """
-    Ensures that we are able to fetch preferences properly
-    """
-    scenarios = [
-        ('Check text representation of a valid shortcuts', dict(
-            fetch_pref=True,
-            sample_shortcut=dict(
+class TestQueryToolPreference:
+    def test_shortcut_a(self):
+        """
+        When the the shortcut pressed is 'a'
+        It return the string 'a'
+        """
+        result = get_text_representation_of_shortcut(
+            dict(
                 alt=False,
                 shift=False,
                 control=False,
@@ -26,13 +27,16 @@ class TestQueryToolPreference(BaseTestGenerator):
                     char='a',
                     keyCode=65
                 )
-            ),
-            expected_result='a'
-        )),
+            ))
+        result | should.be.equal('a')
 
-        ('Check text representation of a valid shortcuts', dict(
-            fetch_pref=True,
-            sample_shortcut=dict(
+    def test_shortcut_alt_a(self):
+        """
+        When the the shortcut pressed is ALT + 'a'
+        It return the string 'Alt+a'
+        """
+        result = get_text_representation_of_shortcut(
+            dict(
                 alt=True,
                 shift=False,
                 control=False,
@@ -40,13 +44,16 @@ class TestQueryToolPreference(BaseTestGenerator):
                     char='a',
                     keyCode=65
                 )
-            ),
-            expected_result='Alt+a'
-        )),
+            ))
+        result | should.be.equal('Alt+a')
 
-        ('Check text representation of a valid shortcuts', dict(
-            fetch_pref=True,
-            sample_shortcut=dict(
+    def test_shortcut_alt_shit_control_a(self):
+        """
+        When the the shortcut pressed is Alt + Control + Shift + 'a'
+        It return the string 'Alt+Shift+Ctrl+a'
+        """
+        result = get_text_representation_of_shortcut(
+            dict(
                 alt=True,
                 shift=True,
                 control=True,
@@ -54,13 +61,16 @@ class TestQueryToolPreference(BaseTestGenerator):
                     char='a',
                     keyCode=65
                 )
-            ),
-            expected_result='Alt+Shift+Ctrl+a'
-        )),
+            ))
+        result | should.be.equal('Alt+Shift+Ctrl+a')
 
-        ('Check text representation of a valid shortcuts', dict(
-            fetch_pref=True,
-            sample_shortcut=dict(
+    def test_shortcut_shit_a(self):
+        """
+        When the the shortcut pressed is Shift + 'a'
+        It return the string 'Shift+a'
+        """
+        result = get_text_representation_of_shortcut(
+            dict(
                 alt=False,
                 shift=True,
                 control=False,
@@ -68,33 +78,29 @@ class TestQueryToolPreference(BaseTestGenerator):
                     char='a',
                     keyCode=65
                 )
-            ),
-            expected_result='Shift+a'
-        )),
-
-        ('Check text representation of a valid shortcuts', dict(
-            fetch_pref=True,
-            sample_shortcut=dict(
-                alt=True,
-                shift=True,
-                control=False,
-                key=dict(
-                    char='a',
-                    keyCode=65
-                )
-            ),
-            expected_result='Alt+Shift+a'
-        )),
+            ))
+        result | should.be.equal('Shift+a')
 
-        ('Check text representation of a invalid shortcuts', dict(
-            fetch_pref=True,
-            sample_shortcut=None,
-            expected_result=''
+    def test_shortcut_alt_shit_a(self):
+        """
+        When the the shortcut pressed is Alt + Shift + 'a'
+        It return the string 'Alt+Shift+a'
+        """
+        result = get_text_representation_of_shortcut(dict(
+            alt=True,
+            shift=True,
+            control=False,
+            key=dict(
+                char='a',
+                keyCode=65
+            )
         ))
+        result | should.be.equal('Alt+Shift+a')
 
-    ]
-
-    def runTest(self):
-        """Check correct function is called to handle to run query."""
-        result = get_text_representation_of_shortcut(self.sample_shortcut)
-        self.assertEquals(result, self.expected_result)
+    def test_shortcut_invalid(self):
+        """
+        When the function receives None as the shortcut
+        It return empty string
+        """
+        result = get_text_representation_of_shortcut(None)
+        result | should.be.equal('')
diff --git a/web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py b/web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py
index c2ff21c5..1085309b 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_start_query_tool.py
@@ -8,7 +8,8 @@
 ##########################################################################
 import sys
 
-from pgadmin.utils.route import BaseTestGenerator
+from grappa import should
+
 from pgadmin.tools.sqleditor import StartRunningQuery
 
 if sys.version_info < (3, 3):
@@ -17,15 +18,18 @@ else:
     from unittest.mock import patch, ANY
 
 
-class StartQueryTool(BaseTestGenerator):
-    """
-    Ensures that the call to the backend to start running a query
-    calls the needed functions
-    """
+class TestStartQueryTool:
+    """StartQueryTool"""
 
     @patch('pgadmin.tools.sqleditor.extract_sql_from_network_parameters')
-    def runTest(self, extract_sql_from_network_parameters_mock):
-        """Check correct function is called to handle to run query."""
+    def test_all(self, extract_sql_from_network_parameters_mock,
+                 context_of_tests):
+        """
+        When request is sent to the backend
+        And the request parameters are correct
+        It starts the execution of the query and return 200
+        """
+        http_client = context_of_tests['test_client']
 
         extract_sql_from_network_parameters_mock.return_value = \
             'transformed sql'
@@ -34,13 +38,14 @@ class StartQueryTool(BaseTestGenerator):
                           'execute',
                           return_value='some result'
                           ) as StartRunningQuery_execute_mock:
-            response = self.tester.post(
+            response = http_client.post(
                 '/sqleditor/query_tool/start/1234',
                 data='"some sql statement"'
             )
 
-            self.assertEquals(response.status, '200 OK')
-            self.assertEquals(response.data, b'some result')
+            response.status | should.be.equal.to('200 OK')
+            response.data | should.be.equal.to(b'some result')
+
             StartRunningQuery_execute_mock \
                 .assert_called_with('transformed sql', 1234, ANY, False)
             extract_sql_from_network_parameters_mock \
